VARKON Version 1.16 1998-11-12

### MSW32.DLL

VARKON plotter/printer driver for Windows95/NT
Description
MSW32.DLL reads VARKON plotfiles and outputs the processed image on a printer using the ordinary printer drivers and spooling system of Windows95/NT. Plotfiles can either be in .PLT format or in .DXF format.
The -raw option can be used to turn off all processing and send input to the spooler exactly as it is. This can be used to print an ordinary textfile or to send device specific control characters to a printer or plotter.
Calling convention
The name of the entrypoint in MSW32.DLL is "msw32". Two parameters need to be supplied. The first parameter is the name of the file to process and the second parameter is one or more options that control the way the file is processed. Options are preceeded with a minus sign and separated with spaces as follows.
-sS -xX -wsL -yY -vN -PPRINTER -raw -FF -d -kK -del
Options

file | - The name of the file to process (not standard input as in UNIX)
-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Set linewidthscale to L. Float value, default = S
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-PPRINTER | - Use PRINTER, if not specified the default printer is used.
-raw | - Send input to printer spooler without processing
-FF | - Send trailing formfeed (should only be used with -raw)
-d | - Show outline of plot area and print statistics
-kK | - Set curve accuracy to K. Float value, default = 1.0
-del | - Deletes the file after processing

Examples
call_dll_function("C:\VARKON\BIN\MSW32.DLL", "msw32", "plotfile.PLT", "-v90");
Rotates the image in plotfile.PLT 90 degrees anticlockwise and prints the result on the default printer.
call_dll_function("C:\VARKON\BIN\MSW32.DLL","msw32", "plotfile.PLT", "-v90 -PCANON B320");
Same as above but the result is sent to a printer with name = "CANON B320". Note that space characters are allowed in printer names.
call_dll_function("C:\VARKON\BIN\MSW32.DLL", "msw32", "file.TXT", "-raw -FF");
Sends file.TXT to the default printer without any processing. A trailing formfeed character ASCII-12 is also sent to the printer.
Comments
MSW32 automatically recognizes if the input is in PLT or DXF format. The -k option only applies to DXF format.

MSW32 supports the WIDTH attribute introduced in VARKON 1.15C and uses the PEN attribute only to control color. Penfiles are no longer supported.
The declaration of the main entrypoint and its parameters in C-syntax is as follows:
int msw32(file,params)
char *file;
char *params;

VARKON Homepage | Index